--Campbell 74
function PlayerTweakData:_init_kacchainsaw()

	self.stances.kacchainsaw = deep_clone(self.stances.default)
	
	local pivot_shoulder_translation = Vector3(10.7056, 4.38842, -0.747177)
	local pivot_shoulder_rotation = Rotation(0.106618, 2.35, -3.62858)
	local pivot_head_translation = Vector3(11, 9, -3.5)
	
	--local pivot_head_rotation = Rotation(-1.0, -1., 0)
	local pivot_head_rotation = Rotation(-1.0, -1.65, 0)
	
	self.stances.kacchainsaw.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.kacchainsaw.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.kacchainsaw.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	self.stances.kacchainsaw.standard.vel_overshot.yaw_neg = 15
	self.stances.kacchainsaw.standard.vel_overshot.yaw_pos = -15
	self.stances.kacchainsaw.standard.vel_overshot.pitch_neg = -15
	self.stances.kacchainsaw.standard.vel_overshot.pitch_pos = 15
	
	local pivot_head_translation = Vector3(7.5, 6, -2)
	--local pivot_head_rotation = Rotation(0, 0, -5)
	local pivot_head_rotation = Rotation(-1.0, -1.65, 0)
	
	self.stances.kacchainsaw.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.kacchainsaw.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.kacchainsaw.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -18, 0)
	self.stances.kacchainsaw.steelsight.vel_overshot.yaw_neg = 10
	self.stances.kacchainsaw.steelsight.vel_overshot.yaw_pos = -10
	self.stances.kacchainsaw.steelsight.vel_overshot.pitch_neg = -10
	self.stances.kacchainsaw.steelsight.vel_overshot.pitch_pos = 10
	
	local pivot_head_translation = Vector3(10, 5, -4.5)
	--local pivot_head_rotation = Rotation(0.106618, 2.35, -3.62858)
	local pivot_head_rotation = Rotation(-1.0, -1.65, 0)
	
	self.stances.kacchainsaw.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.kacchainsaw.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.kacchainsaw.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.kacchainsaw.bipod = {
		shoulders = {},
		vel_overshot = {}
	}
	
	local pivot_head_translation = Vector3(0, 6, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	
	self.stances.kacchainsaw.bipod.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.kacchainsaw.bipod.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.kacchainsaw.bipod.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, 0, 0)
	self.stances.kacchainsaw.bipod.vel_overshot.yaw_neg = 0
	self.stances.kacchainsaw.bipod.vel_overshot.yaw_pos = 0
	self.stances.kacchainsaw.bipod.vel_overshot.pitch_neg = 0
	self.stances.kacchainsaw.bipod.vel_overshot.pitch_pos = 0
	self.stances.kacchainsaw.bipod.FOV = 50
	self.stances.kacchainsaw.bipod.shakers = {
		breathing = {}
	}
	
	self.stances.kacchainsaw.bipod.shakers.breathing.amplitude = 0
	
end

--SG Versteckt 51D
function PlayerTweakData:_init_hk51b()

	self.stances.hk51b = deep_clone(self.stances.default)
	
	local pivot_shoulder_translation = Vector3(8.545, 11.3934, -3.33201)
	local pivot_shoulder_rotation = Rotation(4.78916e-05, 0.00548037, -0.00110991)
	local pivot_head_translation = Vector3(6, 12, -5)
	--local pivot_head_rotation = Rotation(0.4, 0.8, -2)
	local pivot_head_rotation = Rotation(0.0, 0.0, -2)
	
	self.stances.hk51b.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hk51b.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hk51b.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -5, 0)
	self.stances.hk51b.standard.vel_overshot.yaw_neg = 15
	self.stances.hk51b.standard.vel_overshot.yaw_pos = -15
	self.stances.hk51b.standard.vel_overshot.pitch_neg = -15
	self.stances.hk51b.standard.vel_overshot.pitch_pos = 15
	
	local pivot_head_translation = Vector3(-2.2, 7, -0.32)
	local pivot_head_rotation = Rotation(-0.1, 1, 0)
	
	self.stances.hk51b.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hk51b.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hk51b.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -5, 0)
	self.stances.hk51b.steelsight.vel_overshot.yaw_neg = 5
	self.stances.hk51b.steelsight.vel_overshot.yaw_pos = -5
	self.stances.hk51b.steelsight.vel_overshot.pitch_neg = -5
	self.stances.hk51b.steelsight.vel_overshot.pitch_pos = 5
	
	local pivot_head_translation = Vector3(7, 8, -5)
	--local pivot_head_rotation = Rotation(0.4, 0.8, -2)
	local pivot_head_rotation = Rotation(0.0, 0.0, -2)
	
	self.stances.hk51b.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hk51b.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hk51b.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	self.stances.hk51b.bipod = {
		shoulders = {},
		vel_overshot = {}
	}
	
	local pivot_head_translation = Vector3(0, 0, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	
	self.stances.hk51b.bipod.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hk51b.bipod.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hk51b.bipod.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -0, 0)
	self.stances.hk51b.bipod.vel_overshot.yaw_neg = 0
	self.stances.hk51b.bipod.vel_overshot.yaw_pos = 0
	self.stances.hk51b.bipod.vel_overshot.pitch_neg = 0
	self.stances.hk51b.bipod.vel_overshot.pitch_pos = 0
	self.stances.hk51b.bipod.FOV = 50
	self.stances.hk51b.bipod.shakers = {
		breathing = {}
	}
	
	self.stances.hk51b.bipod.shakers.breathing.amplitude = 0
	
end

--Akron HC
function PlayerTweakData:_init_hcar()

	self.stances.hcar = deep_clone(self.stances.default)
	
	local pivot_shoulder_translation = Vector3(8.545, 11.3934, -3.33201)
	local pivot_shoulder_rotation = Rotation(4.78916e-05, 0.00548037, -0.00110991)
	local pivot_head_translation = Vector3(8, 10, -4)
	local pivot_head_rotation = Rotation(0, 0, 0)
	
	self.stances.hcar.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hcar.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hcar.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -10, 0)
	self.stances.hcar.standard.vel_overshot.yaw_neg = 10
	self.stances.hcar.standard.vel_overshot.yaw_pos = -10
	self.stances.hcar.standard.vel_overshot.pitch_neg = -10
	self.stances.hcar.standard.vel_overshot.pitch_pos = 10
	
	local pivot_head_translation = Vector3(1.95, 10, -1.45)
	--local pivot_head_rotation = Rotation(0.1, 0.5, 10)
	local pivot_head_rotation = Rotation(0.1, 0.0, 10)
	
	self.stances.hcar.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hcar.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hcar.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -3, 0)
	self.stances.hcar.steelsight.vel_overshot.yaw_neg = 5
	self.stances.hcar.steelsight.vel_overshot.yaw_pos = -5
	self.stances.hcar.steelsight.vel_overshot.pitch_neg = -5
	self.stances.hcar.steelsight.vel_overshot.pitch_pos = 5
	
	local pivot_head_translation = Vector3(7, 5, -5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	
	self.stances.hcar.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hcar.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hcar.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)

end

--Gecko M2
function PlayerTweakData:_init_maxim9()

	self.stances.maxim9 = deep_clone(self.stances.default)
	
	local pivot_shoulder_translation = Vector3(8.43514, 38.6107, -6.42505)
	local pivot_shoulder_rotation = Rotation(0.0999955, -0.688249, 0.629656)
	local pivot_head_translation = Vector3(7.5, 24, -4)
--	local pivot_head_rotation = Rotation(0, 1.5, -3)
	local pivot_head_rotation = Rotation(0, 0, -3)
	
	self.stances.maxim9.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.maxim9.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.maxim9.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	self.stances.maxim9.steelsight.vel_overshot.pitch_neg = -17
	self.stances.maxim9.steelsight.vel_overshot.pitch_pos = 17
	
	local pivot_head_translation = Vector3(-0.05, 25, -0.8)
	local pivot_head_rotation = Rotation(0, 0, 0)
	
	self.stances.maxim9.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.maxim9.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.maxim9.steelsight.FOV = self.stances.lemming.standard.FOV
	self.stances.maxim9.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -7, 0)
	self.stances.maxim9.steelsight.vel_overshot.yaw_neg = 1
	self.stances.maxim9.steelsight.vel_overshot.yaw_pos = -1
	self.stances.maxim9.steelsight.vel_overshot.pitch_neg = -5
	self.stances.maxim9.steelsight.vel_overshot.pitch_pos = 5
	
	local pivot_head_translation = Vector3(5, 21, -6)
	local pivot_head_rotation = Rotation(-0, 0, -3)
	
	self.stances.maxim9.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.maxim9.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.maxim9.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -20, 0)
	
end

--Pronghorn
function PlayerTweakData:_init_scout()

	self.stances.scout = deep_clone(self.stances.default)
	
	local pivot_shoulder_translation = Vector3(7.96526, 39.0739, -3.92198)
	local pivot_shoulder_rotation = Rotation(4.36208e-05, 0.000603618, -0.000330838)
	local pivot_head_translation = Vector3(10, 45, -5)
--	local pivot_head_rotation = Rotation(0.6, 0.7, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	
	self.stances.scout.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.scout.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.scout.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -24, 0)
	self.stances.scout.standard.vel_overshot.yaw_neg = 12
	self.stances.scout.standard.vel_overshot.yaw_pos = -12
	self.stances.scout.standard.vel_overshot.pitch_neg = -12
	self.stances.scout.standard.vel_overshot.pitch_pos = 12
	
	local pivot_head_translation = Vector3(0, 47, -4.95)
	local pivot_head_rotation = Rotation(0, 0, 0)
	
	self.stances.scout.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.scout.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.scout.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -15, 0)
	self.stances.scout.steelsight.vel_overshot.yaw_neg = 2
	self.stances.scout.steelsight.vel_overshot.yaw_pos = -2
	self.stances.scout.steelsight.vel_overshot.pitch_neg = -2
	self.stances.scout.steelsight.vel_overshot.pitch_pos = 2
	
	local pivot_head_translation = Vector3(9, 41, -6)
--	local pivot_head_rotation = Rotation(0.6, 0.7, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	
	self.stances.scout.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.scout.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.scout.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -30, 0)
	
end

